-module(mock_tcp).
-export([connect/3, send/2, close/1]).


connect(Host, Port, Options) ->
    mock:call({mock_tcp, connect, Host, Port, Options}).

send(Socket, Data) ->
    mock:call({mock_tcp, send, Socket, Data}).

close(Socket) ->
    mock:call({mock_tcp, close, Socket}).
