-module(mup_sup).
-behaviour(supervisor).
-export([start_link/0, init/1]).
-include("mup.hrl").


start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

init(_) ->
    {ok, {{one_for_one, 3, 60000}, [
        {mup_config, {mup_config, start_link, []},
         permanent, 10000, worker, [mup_config]},
        {mup_server_sup, {mup_server_sup, start_link, []},
         permanent, 10000, supervisor, [mup_server_sup]},
        {mup_plugin_sup, {mup_plugin_sup, start_link, []},
         permanent, 10000, supervisor, [mup_plugin_sup]}
    ]}}.
